Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Order cards API

Download D1-Public-IN-v1-Physical-Issuance-Cards.oas3.json

Order cards

post
/issuers/{issuerId}/physicalCards/batch

This API is used by the issuer backend to order a batch of physical cards.

Authorizations
AuthorizationstringRequired

Requires OAuth2 access token obtained via the D1 OAuth2 API.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Body

List of cards to be produced in a single request

Responses
post
/issuers/{issuerId}/physicalCards/batch

encryptedData

Last updated

Was this helpful?